bluetooth-sendto dialog is not closed after transfer is finished.

Bug #559412 reported by Horst Schirmeier on 2010-04-09
48
This bug affects 7 people
Affects Status Importance Assigned to Milestone
obexd (Ubuntu)
Low
Baptiste Mille-Mathias
Lucid
Low
Baptiste Mille-Mathias

Bug Description

Binary package hint: gnome-bluetooth

Trying to send a file to my Nokia 6500c with bluetooth-sendto (gnome-bluetooth 2.30.0-0ubuntu2) succeeds but does not terminate after the transfer. The transfer window with the "Cancel" button remains on screen until closed manually. The BT connection seems to be still open, as my mobile asks me whether I want to close it when shutting BT down.

$ bluetooth-sendto --device 00:12:34:56:78:9A ~/Documents/something.txt
** (bluetooth-sendto:21374): DEBUG: Unhandled UUID 00005001-0000-1000-8000-0002ee000001 (0x5001)
** (bluetooth-sendto:21374): DEBUG: Unhandled UUID 00005002-0000-1000-8000-0002ee000001 (0x5002)
** (bluetooth-sendto:21374): DEBUG: Unhandled UUID 00005003-0000-1000-8000-0002ee000001 (0x5003)
** (bluetooth-sendto:21374): DEBUG: Unhandled UUID 00005557-0000-1000-8000-0002ee000001 (0x5557)
** (bluetooth-sendto:21374): DEBUG: Unhandled UUID 00005601-0000-1000-8000-0002ee000001 (0x5601)

(The very same thing, minus the terminal debug output, happens when I try to send the file via the Bluetooth button / Send files to device ... in the Gnome Panel.)

A GDB session doesn't really tell much besides we're in some glib main loop, waiting in poll():

(gdb) bt
#0 0x00007ffff454ff58 in poll () from /lib/libc.so.6
#1 0x00007ffff578f4a9 in ?? () from /lib/libglib-2.0.so.0
#2 0x00007ffff578fc55 in g_main_loop_run () from /lib/libglib-2.0.so.0
#3 0x00007ffff76ddaf7 in gtk_main () from /usr/lib/libgtk-x11-2.0.so.0
#4 0x00000000004073d3 in ?? ()
#5 0x00007ffff4494c4d in __libc_start_main () from /lib/libc.so.6
#6 0x00000000004058c9 in ?? ()
#7 0x00007fffffffe808 in ?? ()
#8 0x000000000000001c in ?? ()
#9 0x0000000000000004 in ?? ()
#10 0x00007fffffffeabf in ?? ()
#11 0x0000000000000000 in ?? ()

Description: Ubuntu lucid (development branch)
Release: 10.04
gnome-bluetooth 2.30.0-0ubuntu2

Yeah I noticed that too, need to confirm with upstream.

Changed in gnome-bluetooth (Ubuntu):
status: New → Confirmed
affects: gnome-bluetooth (Ubuntu) → obexd (Ubuntu)
Changed in obexd (Ubuntu):
importance: Undecided → Low
milestone: none → ubuntu-10.04

Someone reported the bug to the upstream authors http://permalink.gmane.org/gmane.linux.bluez.kernel/5092

summary: - bluetooth-sendto does not terminate
+ bluetooth-sendto dialog is not closed after transfer is finished.

Horst,

Could you install obexd-client from ~bluetooth ppa and confirm the issue is fixed.
thanks.

Artur Rona (ari-tczew) wrote :

I'm also affected by this bug. Would be nice, if you'll fix it Baptiste.

Horst Schirmeier (horst) wrote :

Baptiste, I can confirm this issue is fixed by installing obexd-client from ~bluetooth ppa (and rebooting, or probably just restarting obexd by other means). Thank you very much :-)

Changed in obexd (Ubuntu Lucid):
assignee: nobody → Baptiste Mille-Mathias (bmillemathias)

Hi,

I confirm the fix available in the branch lp:~bluetooth/ubuntu/lucid/obexd/lp_559412 fix the issue

For the SRU reviewers:

Impact is really low.
Upstream developers rewrote the whole obex session in the version 0.23 (too intrusive), but I prefer using the version in 0.21 (Fedora did the same).
Patch is available in the branch linked
TEST CASE: Send a file using bluetooth applet, the dialog never disappeared after transfer completed.

Martin Pitt (pitti) wrote :

The patch is a bit tricky to read since it moves the entire function to a different place. But in essence it removes the g_dbus_add_disconnect_watch() call. Does session->owner_watch have a sensible value without that call?

Anyway, please upload, since the patch was tested already. But an additional explanation why this is the right thing would be nice. Thanks!

Accepted obexd into lucid-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in obexd (Ubuntu Lucid):
status: Confirmed → Fix Committed
tags: added: verification-needed
Artur Rona (ari-tczew) wrote :

I've tested obexd from lucid-proposed and dialog window has been closed after transfer is finished.

tags: added: verification-done
removed: verification-needed
Luca Ferretti (elle.uca) wrote :

me too, as Arthur said

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package obexd - 0.22-0ubuntu2

---------------
obexd (0.22-0ubuntu2) lucid-proposed; urgency=low

  * debian/patches/0001-Revert-Fix-the-session-is-shutdown-when-the-agent-ex.patch
    - Revert change in release 0.22 to fix bluetooth-sendto dialog not being
    closed after transfer (LP: #559412)
 -- Baptiste Mille-Mathias <email address hidden> Wed, 28 Apr 2010 21:20:16 +0200

Changed in obexd (Ubuntu Lucid):
status: Fix Committed → Fix Released
Martin Pitt (pitti) wrote :

Copied lucid-proposed to maverick.

Changed in obexd (Ubuntu):
status: Confirmed → Fix Released

On Sun, May 9, 2010 at 11:13 AM, Martin Pitt <email address hidden> wrote:
> Copied lucid-proposed to maverick.
>

Martin, no need to copy this version to Maverick, there is a new
upstream version which fix this issue.
see https://code.edge.launchpad.net/~bluetooth/ubuntu/maverick/obexd/main
(there is a pending review request).

Cheers.

--
Baptiste Mille-Mathias
Les gens heureux ne sont pas pressés

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers